<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 07/13/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-unlock_emails.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Unlock ordered emails                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Werbebuchungen freigeben                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

// Define some variables
global $DATA;

// Check for mails
$result_main = SQL_QUERY("SELECT `id`,`sender`,`subject`,`payment_id` AS `payment`,`timestamp`,`url`,`target_send`,`cat_id` AS `category`
FROM `{!_MYSQL_PREFIX!}_pool`
WHERE `data_type`='ADMIN'
ORDER BY `timestamp` ASC", __FILE__, __LINE__);

if ((SQL_NUMROWS($result_main) > 0) || (REQUEST_ISSET_POST(('lock')))) {
	// Count checked checkboxes
	$SEL = 0;
	if (REQUEST_ISSET_POST('sel')) {
		// Are there checked boxes?
		if (count(REQUEST_POST('sel')) > 0) {
			// Count now... We use an own function for now
			$SEL = SELECTION_COUNT(REQUEST_POST('sel'));
		} // END - if
	} // END - if

	if (REQUEST_ISSET_POST(('accept'))) {
		if ($SEL > 0) {
			// Accept mail orders
			foreach (REQUEST_POST('sel') as $id => $value) {
				// Secure ID number
				$id = bigintval($id);

				// Order placed in queue...
				$result = SQL_QUERY_ESC("SELECT po.url, po.subject, po.sender, pay.payment, po.payment_id
FROM `{!_MYSQL_PREFIX!}_pool` AS po
INNER JOIN `{!_MYSQL_PREFIX!}_payments` AS pay
ON po.payment_id=pay.id
WHERE po.id=%s
LIMIT 1",
					array($id), __FILE__, __LINE__);

				// Update wents fine?
				if (SQL_NUMROWS($result) == 1) {
					// Load data
					$DATA = SQL_FETCHARRAY($result);

					// Free result
					SQL_FREERESULT($result);

					// Is the surfbar installed?
					if ((EXT_IS_ACTIVE('surfbar')) && (getConfig('surfbar_migrate_order') == 'Y')) {
						// Then "migrate" the URL to the surfbar
						SURFBAR_ADMIN_MIGRATE_URL($DATA['url'], $DATA['sender']);
					} // END - if

					// Check for bonus extension version >= 0.4.4 for the order bonus
					if ((GET_EXT_VERSION('bonus') >= '0.4.4') && (getConfig('bonus_active') == 'Y')) {
						// Add points directly
						SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_user_data` SET bonus_order=bonus_order+".getConfig('bonus_order')." WHERE userid=%s LIMIT 1",
							array(bigintval($DATA['sender'])), __FILE__, __LINE__);

						// Subtract bonus points from system
						BONUS_POINTS_HANDLER(getConfig('bonus_order'));
					} // END - if

					// Load email template
					$msg_user = LOAD_EMAIL_TEMPLATE("order-accept", array(), $DATA['sender']);

					// Send email
					SEND_EMAIL($DATA['sender'], MEMBER_ORDER_ACCEPTED, $msg_user);

					// Unlock selected email
					SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_pool` SET data_type='NEW' WHERE id=%s AND data_type='ADMIN' LIMIT 1",
						array($id), __FILE__, __LINE__);
				} // END - if
			} // END - foreach

			// Set message
			$message = ADMIN_MAILS_ACTIVATED;
		} else {
			// Nothing checked!
			$message = ADMIN_MAILS_NOTHING_CHECKED;
		}

		// Mails unlocked for mail delivery
		LOAD_TEMPLATE('admin_settings_saved', false, $message);
	} elseif (REQUEST_ISSET_POST(('reject'))) {
		if ($SEL > 0) {
			// Reject mail orders
			$OUT = ''; $SW = 2;
			foreach (REQUEST_POST('sel') as $id => $value) {
				// Secure ID number
				$id = bigintval($id);

				// Load URL and subject from pool
				$result = SQL_QUERY_ESC("SELECT url, subject, sender FROM `{!_MYSQL_PREFIX!}_pool` WHERE id=%s LIMIT 1",
					array($id), __FILE__, __LINE__);

				// Load data
				$DATA = SQL_FETCHARRAY($result);

				// Free result
				SQL_FREERESULT($result);

				// Load email template and send it away
				$msg_user = LOAD_EMAIL_TEMPLATE("order-reject", array(), $DATA['sender']);
				SEND_EMAIL($DATA['sender'], MEMBER_ORDER_REJECTED, $msg_user);

				// If you do not enter an URL to redirect to, your URL will be set!
				if ((!REQUEST_ISSET_POST(('redirect'))) || (REQUEST_POST('redirect') == "http://")) REQUEST_SET_POST('redirect', constant('URL'));

				// Redirect URL
				SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_pool` SET url='%s', data_type='NEW' WHERE id=%s LIMIT 1",
					array(REQUEST_POST('redirect'), $id),__FILE__, __LINE__);

				// Prepare data for the row template
				$content = array(
					'sw'  => $SW,
					'id'  => $id,
					'url' => REQUEST_POST('url', $id),
				);

				// Load row template and switch colors
				$OUT .= LOAD_TEMPLATE("admin_unlock_emails_redir_row", true, $content);
				$SW = 3 - $SW;
			}
			define('__URL_ROWS', $OUT);

			// Load main template
			LOAD_TEMPLATE("admin_unlock_emails_redir");
		} else {
			// Nothing selected
			LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_MAILS_NOTHING_CHECKED'));
		}
	} elseif ((REQUEST_ISSET_POST(('lock'))) && ($SEL > 0) && (getConfig('url_blacklist') == 'Y')) {
		// Lock URLs
		foreach (REQUEST_POST('sel') as $id => $url) {
			// Secure id number
			$id = bigintval($id);

			// Lookup in blacklist
			$result = SQL_QUERY_ESC("SELECT `id` FROM `{!_MYSQL_PREFIX!}_url_blacklist` WHERE `url`='%s' LIMIT 1",
				array($url), __FILE__, __LINE__);
			if (SQL_NUMROWS($result) == 0) {
				// Did not find a record so we can add it... :)
				SQL_QUERY_ESC("INSERT INTO `{!_MYSQL_PREFIX!}_url_blacklist` (`url`,`pool_id`) VALUES ('%s',%s)",
					array($url, $id), __FILE__, __LINE__);
			} // END - if

			// Free memory
			SQL_FREERESULT($result);
		} // END - foreach

		// Output message
		LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_URLS_BLOCKED'));
	} elseif ((!REQUEST_ISSET_POST(('lock'))) && (!REQUEST_ISSET_POST(('accept'))) && (!REQUEST_ISSET_POST(('reject'))) && (getConfig('url_blacklist') == 'Y')) {
		// Mail orders are in pool so we can display them
		$OUT = ''; $SW = 2;
		while ($content = SQL_FETCHARRAY($result_main)) {
			// Prepare data for the template
			$content = array(
				'sw'        => $SW,
				'id'        => $content['id'],
				'sender'    => $content['sender'],
				'u_link'    => ADMIN_USER_PROFILE_LINK($content['sender']),
				'subj'      => COMPILE_CODE($content['subject']),
				'tester'    => FRAMETESTER($content['url']),
				'url'       => $content['url'],
				'cat_title' => str_replace("\"", "&quot;", GET_CATEGORY($content['category'])),
				'cat_link'  => $content['category'],
				'pay_title' => str_replace("\"", "&quot;", GET_PAYMENT($content['payment'], true)),
				'pay_link'  => $content['payment'],
				'ordered'   => MAKE_DATETIME($content['timestamp'], "2"),
				'tsend'     => $content['target_send'],
			);

			// Load row template and switch colors
			$OUT .= LOAD_TEMPLATE("admin_unlock_emails_row", true, $content);
			$SW = 3 - $SW;
		} // END - while

		// Free memory
		SQL_FREERESULT($result_main);
		define('__UNLOCK_ROWS', $OUT);

		// Prepare rejection URL
		$REJECT = "http://";
		if (GET_EXT_VERSION('other') >= '0.1.6') $REJECT = getConfig('reject_url');
		define('__REJECT_URL', $REJECT);

		// Load main template
		LOAD_TEMPLATE("admin_unlock_emails");
	} elseif ((REQUEST_ISSET_POST(('lock'))) && (getConfig('url_blacklist') != "Y")) {
		// URL blacklist not activated
		LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_URL_BLACKLIST_DISABLED'));
	} else {
		// Wrong call!
		LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_WRONG_CALL'));
	}
} else {
	// No mail orders fond
	LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_NO_MAILS_IN_POOL'));
}

//
?>
